コンテンツにスキップ

Get an alert rule

GET
/v1/projects/{id}/alerts/{alertId}

Returns a single alert rule with its notification channel IDs.

id
required
string format: uuid

Project UUID.

alertId
required
string format: uuid

Alert rule UUID.

Alert rule details.

object
success
boolean
data

Full alert rule including timestamps and channel IDs.

object
id
string format: uuid
projectId
string format: uuid
mapId
string format: uuid
thresholdProfileId
string format: uuid
name
string
metric
string
Allowed values: fps frame_time memory gpu_time
thresholdLevel
string
Allowed values: warn good
failPercentage
number
evaluationDays
integer
cellSize
integer
cooldownMinutes
integer
isActive
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
channelIds
Array<string>
X-RateLimit-Limit
integer

Maximum number of requests allowed per hour.

X-RateLimit-Remaining
integer

Number of requests remaining in the current window.

X-RateLimit-Reset
integer

Unix timestamp when the rate limit window resets.

Invalid request parameters or body.

object
success
boolean
error

Human-readable error message.

string

Missing or invalid API key.

object
success
boolean
error

Human-readable error message.

string

Resource not found.

object
success
boolean
error

Human-readable error message.

string

Rate limit exceeded.

object
success
boolean
error

Human-readable error message.

string
X-RateLimit-Limit
integer

Maximum number of requests allowed per hour.

X-RateLimit-Remaining
integer

Number of requests remaining in the current window.

X-RateLimit-Reset
integer

Unix timestamp when the rate limit window resets.